'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var prefix = '@@reactReduxFirebase/';

var defaultJWTKeys = exports.defaultJWTKeys = ['aud', 'auth_time', 'exp', 'firebase', 'iat', 'iss', 'sub', 'user_id'];

var actionTypes = exports.actionTypes = {
  START: prefix + 'START',
  SET: prefix + 'SET',
  SET_PROFILE: prefix + 'SET_PROFILE',
  LOGIN: prefix + 'LOGIN',
  LOGOUT: prefix + 'LOGOUT',
  LOGIN_ERROR: prefix + 'LOGIN_ERROR',
  NO_VALUE: prefix + 'NO_VALUE',
  UNAUTHORIZED_ERROR: prefix + 'UNAUTHORIZED_ERROR',
  ERROR: prefix + 'ERROR',
  INIT_BY_PATH: prefix + 'INIT_BY_PATH',
  AUTHENTICATION_INIT_STARTED: prefix + 'AUTHENTICATION_INIT_STARTED',
  AUTHENTICATION_INIT_FINISHED: prefix + 'AUTHENTICATION_INIT_FINISHED'
};

// List of all external auth providers that are supported (firebase's email/anonymous included by default)
var supportedAuthProviders = exports.supportedAuthProviders = ['google', 'github', 'twitter', 'facebook'];

exports.default = {
  defaultJWTKeys: defaultJWTKeys,
  actionTypes: actionTypes,
  supportedAuthProviders: supportedAuthProviders
};


module.exports = {
  defaultJWTKeys: defaultJWTKeys,
  actionTypes: actionTypes,
  supportedAuthProviders: supportedAuthProviders
};